<!DOCTYPE html>
<html lang="en">

<head th:replace="fragments/layout.html :: head('DigiTroc - Nouvel Echange')">
</head>

<body>
    <nav th:replace="@{/include/navbar}"></nav>

    <main>
        <div class="container-fluid p-0"><img th:src="@{/img/banniere.jpg}" class="img-fluid w-100" alt="photo dvd" />
        </div>
        <div class="container-fluid text-white">
            <h1 class="text-light my-4">Vous avez une demande d'échange</h1>
            <p>Demandeur : <span th:text="${barter.demandUser.username}" class="text-danger fw-bold mt-2"></span></p>
            <p>Film souhaité : <span th:text="${barter.demandedDvd.title}" class="text-danger fw-bold"></span></p>
            <p for="message" class="text-light mt-4">Message : <span th:text="${barter.message}"></span> </p>
            <button class="btn btn-warning mt-5" th:href="@{/user-library} + ${barter.demandUser.id}" target="blank" data-bs-toggle="modal" data-bs-target="#exampleModal">Bibliothèque du demandeur</button>
            <!-- <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <div class="container-fluid">
                            <div class="row row-cols-1 row-cols-sm-2 row-cols-md-4 g-3 p-5">
                              <div class="col" th:each="dvd : ${dvdo}">
                                <div class="card shadow-sm p-3 m-3">
                                  <a th:href="@{/dvd/} + ${dvd.id}"><img th:src="${dvd.image}" class="img-fluid w-100 dvdimg"
                                      alt="photo dvd" /></a>
                                  <div class="card-body">
                                    <p class="card-text fs-4 fw-bold" th:text="${dvd.title}">Card title</p>
                                    <p class="card-text ">Ajouté par <span class="text-danger fw-bold" th:text="${user.username}">Nom
                                        utilisateur</span></p>
                                    <div class="d-flex justify-content-between align-items-center">
                                      <div class="btn-group">
                                        <a th:href="@{/dvd/} + ${dvd.id}"><button type="button"
                                            class="btn btn-sm btn-primary border-2 border-white"><i class="fas fa-eye"></i></button></a>
                                        <button type="button" class="btn btn-sm btn-success border-2 border-white"><i
                                            class="fas fa-exchange-alt"></i></button>
                                      </div>
                                      <small class="text-muted text-center">date ajout <span class="date"
                                          th:text="${#dates.format(new java.util.Date(dvd.addedAt), 'dd/MM/yyyy')}"></span></small>
                                    </div>
                                  </div>
                                </div>
                              </div>
                    
                            </div>
                          </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                      <button type="button" class="btn btn-primary">Save changes</button>
                    </div>
                  </div>
                </div>
              </div>
            <div> -->
                <button class="btn btn-primary my-5">Envoyer</button>
            </div>

        </div>

        <div th:replace="fragments/layout.html :: foot"></div>


    </main>

    <div th:replace="@{/include/footer}"></div>
    <div th:replace="fragments/layout.html :: foot"></div>
</body>

</html>